# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetBackgroundColor, DXGetBackgroundColor

Function

Operate on a scene background color.

Syntax
`
#include <dx/dx.h>
`

Camera DXSetBackgroundColor(Camera c, RGBColor *background)
Camera DXGetBackgroundColor(Camera c, RGBColor background)

Functional Details

`DXSetBackgroundColor` sets a scene background color for use at render time. `DXRender` applies `background` to all pixels at the start of rendering so that unobscured pixels will have this color in the final image. The unset default background color is black, {0,0,0}.

`DXGetBackgroundColor` returns the value of the camera background color in `*background`. `DXRender` initializes the output image to this color when using camera `c`.

Return Value

Return `c` or return `NULL` and set an error code.

See Also

`DXNewCamera, DXRender`

16.7 , "Camera Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]